Generation Framework

## org.eclipse.gmf.gmfgraph
Interface CustomDecoration

All Superinterfaces:
  AbstractFigure, CustomClass, CustomFigure, DecorationFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure

All Known Implementing Classes:
  CustomDecorationImpl

    public interface CustomDecoration

extends CustomFigure, DecorationFigure

A representation of the model object 'Custom Decoration'. Same as CustomFigure, but for Decorations

See Also:
  `GMFGraphPackage.getCustomDecoration()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.gmfgraph.CustomFigure
`getCustomChildren`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.gmf.gmfgraph.CustomClass
`getAttributes, getQualifiedClassName, setQualifiedClassName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.